package plugin

import (
	"context"

	"code.fbi.h-da.de/danet/gosdn/controller/store"
)

// Store describes an interface for plugin store implementations.
type Store interface {
	Add(context.Context, Plugin) error
	Update(context.Context, Plugin) error
	Delete(context.Context, Plugin) error
	Get(context.Context, store.Query) (LoadedPlugin, error)
	GetAll(context.Context) ([]LoadedPlugin, error)
}
